com.verisign.epp.codec.registry.v01

## Class EPPRegistryUpdateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPUpdateCmd
    - - com.verisign.epp.codec.registry.v01.EPPRegistryUpdateCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryUpdateCmd
      extends EPPUpdateCmd

  Represents an EPP Registry <update> command. The EPP <update> command provides a transform operation that allows a client to modify the attributes of a zone object. In addition to the standard EPP command elements, the <update> command MUST contain a <domain:update> element that identifies the domain namespace and the location of the domain schema. In addition to The <registry:update> element SHALL contain the following child elements:
  - A <registry:zone> element that contains the detailed registry information of the object to be updated. Use `getZone` and `setZone` to get and set the element.
  `EPPRegistryUpdateResp` is the concrete `EPPReponse` associated with `EPPRegistryUpdateCmd`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryUpdateCmd`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryUpdateCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryUpdateCmd()` Creates an empty EPPRegistryUpdateCmd object.
    `EPPRegistryUpdateCmd(java.lang.String aTransId, EPPRegistryZone aZone)` Creates a new EPPRegistryUpdateCmd object that will update a registry object based on the info in `zone`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryUpdateCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryUpdateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryUpdateCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryUpdateCmd` with this instance.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with EPPRegistryUpdateCmd.
    `EPPRegistryZone` | `getZone()` Gets the zone to update.
    `void` | `setZone(EPPRegistryZone aZone)` Sets the zone to update.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryUpdateCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryUpdateCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryUpdateCmd

          public EPPRegistryUpdateCmd()

      Creates an empty EPPRegistryUpdateCmd object. `zone` is set to `null`. Use `setZone` to set `zone` attribute before sending the update command.

    - #### EPPRegistryUpdateCmd

          public EPPRegistryUpdateCmd(java.lang.String aTransId,
                                      EPPRegistryZone aZone)

      Creates a new EPPRegistryUpdateCmd object that will update a registry object based on the info in `zone`.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aZone` - Instance of `EPPRegistryZone` to update

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with EPPRegistryUpdateCmd.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRegistryUpdateCmd` with this instance.
      Overrides:
        `equals` in class `EPPUpdateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryUpdateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPRegistryUpdateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryUpdateCmd` instance.
      Specified by:
        `doEncode` in class `EPPUpdateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRegistryUpdateCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryUpdateCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryUpdateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPUpdateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryUpdateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getZone

          public EPPRegistryZone getZone()

      Gets the zone to update.
      Returns:
        Instance of `EPPRegistryZone` to update

    - #### setZone

          public void setZone(EPPRegistryZone aZone)

      Sets the zone to update.
      Parameters:
        `aZone` - Instance of `EPPRegistryZone` to update

Copyright © VeriSign Inc. All Rights Reserved.